import request from '@/utils/request'

// 查询APP用户消息列表
export function listAppMsg(query) {
  return request({
    url: '/clockingin/appMsg/list',
    method: 'get',
    params: query
  })
}

// 查询APP用户消息详细
export function getAppMsg(id) {
  return request({
    url: '/clockingin/appMsg/' + id,
    method: 'get'
  })
}

// 新增APP用户消息
export function addAppMsg(data) {
  return request({
    url: '/clockingin/appMsg',
    method: 'post',
    data: data
  })
}

// 修改APP用户消息
export function updateAppMsg(data) {
  return request({
    url: '/clockingin/appMsg',
    method: 'put',
    data: data
  })
}

// 删除APP用户消息
export function delAppMsg(id) {
  return request({
    url: '/clockingin/appMsg/' + id,
    method: 'delete'
  })
}

// 导出APP用户消息
export function exportAppMsg(query) {
  return request({
    url: '/clockingin/appMsg/export',
    method: 'get',
    params: query
  })
}